#
#    media manifest -> installer variables
#
#    Pass the media manifest through this, and then source the result.
#    Or eval this. Naww, source the result.
#

BEGIN {
         vars=0
}

# for now, clear variables at each from...

/^from/ {
        vars=0
}

/^set/ {
        vars++
        var[vars] = $2 "=" $3
}

{
       next
}

END {
       for (i=1; i<=vars; i++) { 
           print var[i]
       }
}
